import axios from '@/ajax.js';
const optBaseUrl = '/opt';
//新增修改场景
export function api_addOrUpdateScene(data) {
    return axios({
        url: optBaseUrl + "/scene/addOrUpdateScene",
        method: 'post',
        data: data
    })
}

//查询场景
export function api_queryScene(data) {
    return axios({
        url: optBaseUrl + "/scene/queryScene",
        method: 'post',
        data: data
    })
}
//删除场景
export function api_deleteScene(data) {
    return axios({
        url: optBaseUrl + "/scene/deleteScene",
        method: 'post',
        data: { ids: data }
    })
}
//查询策略
export function api_queryStrategy(data) {
    return axios({
        url: optBaseUrl + "/strategy/queryStrategy",
        method: 'post',
        data: data
    })
}
//新增策略
export function api_addOrUpdateStrategy(data) {
    return axios({
        url: optBaseUrl + "/strategy/addOrUpdateStrategy",
        method: 'post',
        data: data
    })
}
//删除策略
export function api_deleteStrategy(data) {
    return axios({
        url: optBaseUrl + "/strategy/deleteStrategy",
        method: 'post',
        data: { ids: data }
    })
}
//查询方法
export function api_queryIdea(data) {
    return axios({
        url: optBaseUrl + "/idea/queryIdea",
        method: 'post',
        data: data
    })
}
//新增方法
export function api_addOrUpdateIdea(data) {
    return axios({
        url: optBaseUrl + "/idea/addOrUpdateIdea",
        method: 'post',
        data: data
    })
}
//删除方法
export function api_deleteIdea(data) {
    return axios({
        url: optBaseUrl + "/idea/deleteIdea",
        method: 'post',
        data: { ids: data }
    })
}